/**
  Section: Included Files
*/
#include "mcc_generated_files/system.h"
#include "AQM1248A_PIC.h"
#include "i2c1_PIC.h"
#include "ADT7410_PIC.h"
/*
                         Main application
 */
int main(void)
{
    float h_data[3];
    // initialize the device
    
    uint8_t d_buf[5];
    char c_buf[30];
    
    SYSTEM_Initialize();
    InitI2C_Master();
    Init_LCD();

    while (1)
    {
        LCD_CLS(0);

        ADT7410_Read(0x48, 0x03, d_buf, 1);
        sprintf(c_buf,"State:%X", d_buf[0]);
        LCD_Print_Str(0,0,c_buf,1);
        d_buf[4] = d_buf[0];
        d_buf[0] ++;
        ADT7410_Write(0x48, 0x03, d_buf, 1);
        __delay_ms(50);
        ADT7410_Read(0x48, 0x03, d_buf, 1);
        sprintf(c_buf,"State:%X", d_buf[0]);
        LCD_Print_Str(0,10,c_buf,1);
        ADT7410_Write(0x48, 0x03, &d_buf[4], 1);
    
        __delay_ms(50);
        ADT7410_get_temp(0x48, h_data);
        sprintf(c_buf,"Temp:%0.1f'C", h_data[0]);
        LCD_Print_Str(0,20,c_buf,1);
        
        __delay_ms(1000);
    }

    return 1;
}