//----------------------------------------------------------------
//        AQM1248A LCD
//----------------------------------------------------------------

#include "mcc_generated_files/system.h"
#define FCY      _XTAL_FREQ
#include <libpic30.h> 

#define     LCD_CS                         LATBbits.LATB10
#define     LCD_CS_TRIS                    TRISBbits.TRISB10
#define     LCD_RS                         LATBbits.LATB11
#define     LCD_RS_TRIS                    TRISBbits.TRISB11

#define     HIGH                                    1
#define     LOW                                     0

void Init_LCD(void);
void LCD_CLS(uint8_t data);
void LCD_PSET(int x_data, int y_data, int cl);
void LCD_Print_C(int x_data, int y_data, char c_data, int cl);
void LCD_Print_Str(int x_data, int y_data, char* c_data, int cl);
void LCD_LINE(int x0, int y0, int x1, int y1, int cl);

